#
# spec file for package perl-Padre (Version 1.02)
#
# Copyright (c) 125 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#

%define cpan_name Padre
Name:           perl-Padre
Version:        1.02
Release:        0%{?autorelease}
License:   Artistic-1.0 or GPL-1.0-or-later
Summary:        Perl Application Development and Refactoring Environment
Url:            https://metacpan.org/release/%{cpan_name}
Source0:         https://cpan.metacpan.org/authors/id/S/SZ/SZABGAB/%{cpan_name}-%{version}.tar.gz
Source1:     cpanspec.yml
Patch0:   huakim.diff
BuildRequires:  perl-macros-suse
BuildRequires:  perl-generators
BuildRequires:  perl(Algorithm::Diff) >= 1.19
BuildRequires:  perl(Alien::wxWidgets) >= 0.62
BuildRequires:  perl(App::cpanminus) >= 0.9923
BuildRequires:  perl(CGI) >= 3.47
BuildRequires:  perl(Capture::Tiny) >= 0.06
BuildRequires:  perl(Class::Adapter) >= 1.05
BuildRequires:  perl(Class::Inspector) >= 1.22
BuildRequires:  perl(Class::XSAccessor) >= 1.13
BuildRequires:  perl(Cwd)
BuildRequires:  perl(DBD::SQLite) >= 1.35
BuildRequires:  perl(DBI) >= 1.58
BuildRequires:  perl(Debug::Client) >= 0.29
BuildRequires:  perl(Devel::Dumpvar) >= 0.04
BuildRequires:  perl(Devel::Refactor) >= 0.05
BuildRequires:  perl(Encode) >= 2.26
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.59
BuildRequires:  perl(ExtUtils::Manifest) >= 1.56
BuildRequires:  perl(File::Copy::Recursive) >= 0.37
BuildRequires:  perl(File::Find::Rule) >= 0.30
BuildRequires:  perl(File::HomeDir) >= 0.91
BuildRequires:  perl(File::Path)
BuildRequires:  perl(File::Remove) >= 1.40
BuildRequires:  perl(File::ShareDir) >= 1.00
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(File::Spec::Functions)
BuildRequires:  perl(File::Temp) >= 0.20
BuildRequires:  perl(File::Which) >= 1.08
BuildRequires:  perl(File::pushd) >= 1.00
BuildRequires:  perl(HTML::Entities) >= 3.57
BuildRequires:  perl(HTML::Parser) >= 3.58
BuildRequires:  perl(IO::Scalar) >= 2.110
BuildRequires:  perl(IO::Socket) >= 1.30
BuildRequires:  perl(IO::String) >= 1.08
BuildRequires:  perl(IPC::Run) >= 0.83
BuildRequires:  perl(JSON::XS) >= 2.29
BuildRequires:  perl(LWP) >= 5.815
BuildRequires:  perl(LWP::UserAgent) >= 5.815
BuildRequires:  perl(List::MoreUtils) >= 0.22
BuildRequires:  perl(Locale::Msgfmt) >= 0.15
BuildRequires:  perl(Module::Build) >= 0.360300
BuildRequires:  perl(Module::CoreList) >= 2.22
BuildRequires:  perl(Module::Manifest) >= 0.07
BuildRequires:  perl(Module::Starter) >= 1.60
BuildRequires:  perl(ORLite) >= 1.98
BuildRequires:  perl(ORLite::Migrate) >= 1.10
BuildRequires:  perl(POD2::Base) >= 0.043
BuildRequires:  perl(PPI) >= 1.218
BuildRequires:  perl(PPIx::EditorTools) >= 0.18
BuildRequires:  perl(PPIx::Regexp) >= 0.011
BuildRequires:  perl(Params::Util) >= 0.33
BuildRequires:  perl(Parse::ErrorString::Perl) >= 0.18
BuildRequires:  perl(Parse::ExuberantCTags) >= 1.00
BuildRequires:  perl(Parse::Functions) >= 0.01
BuildRequires:  perl(Pod::Abstract) >= 0.16
BuildRequires:  perl(Pod::POM) >= 0.17
BuildRequires:  perl(Pod::Perldoc) >= 3.23
BuildRequires:  perl(Pod::Simple) >= 3.07
BuildRequires:  perl(Pod::Simple::XHTML) >= 3.04
BuildRequires:  perl(Probe::Perl) >= 0.01
BuildRequires:  perl(Sort::Versions) >= 1.5
BuildRequires:  perl(Storable) >= 2.16
BuildRequires:  perl(Template::Tiny) >= 0.11
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Test::MockObject) >= 1.09
BuildRequires:  perl(Test::More) >= 0.98
BuildRequires:  perl(Test::NoWarnings) >= 1.04
BuildRequires:  perl(Test::Script) >= 1.07
BuildRequires:  perl(Test::Warn) >= 0.24
BuildRequires:  perl(Text::Balanced) >= 2.01
BuildRequires:  perl(Text::Diff) >= 1.41
BuildRequires:  perl(Text::FindIndent) >= 0.10
BuildRequires:  perl(Text::Patch) >= 1.8
BuildRequires:  perl(Time::HiRes) >= 1.9718
BuildRequires:  perl(URI)
BuildRequires:  perl(Wx) >= 0.9916
BuildRequires:  perl(Wx::Perl::ProcessStream) >= 0.32
BuildRequires:  perl(Wx::Scintilla) >= 0.39
BuildRequires:  perl(YAML::Tiny) >= 1.32
BuildRequires:  perl(threads) >= 1.71
BuildRequires:  perl(threads::shared) >= 1.33
BuildRequires:  perl(version) >= 0.80
Requires:       perl(Algorithm::Diff) >= 1.19
Requires:       perl(App::cpanminus) >= 0.9923
Requires:       perl(CGI) >= 3.47
Requires:       perl(Capture::Tiny) >= 0.06
Requires:       perl(Class::Adapter) >= 1.05
Requires:       perl(Class::Inspector) >= 1.22
Requires:       perl(Class::XSAccessor) >= 1.13
Requires:       perl(Cwd)
Requires:       perl(DBD::SQLite) >= 1.35
Requires:       perl(DBI) >= 1.58
Requires:       perl(Debug::Client) >= 0.29
Requires:       perl(Devel::Dumpvar) >= 0.04
Requires:       perl(Devel::Refactor) >= 0.05
Requires:       perl(Encode) >= 2.26
Requires:       perl(ExtUtils::MakeMaker) >= 6.56
Requires:       perl(ExtUtils::Manifest) >= 1.56
Requires:       perl(File::Copy::Recursive) >= 0.37
Requires:       perl(File::Find::Rule) >= 0.30
Requires:       perl(File::HomeDir) >= 0.91
Requires:       perl(File::Path)
Requires:       perl(File::Remove) >= 1.40
Requires:       perl(File::ShareDir) >= 1.00
Requires:       perl(File::Spec)
Requires:       perl(File::Spec::Functions)
Requires:       perl(File::Temp) >= 0.20
Requires:       perl(File::Which) >= 1.08
Requires:       perl(File::pushd) >= 1.00
Requires:       perl(HTML::Entities) >= 3.57
Requires:       perl(HTML::Parser) >= 3.58
Requires:       perl(IO::Scalar) >= 2.110
Requires:       perl(IO::Socket) >= 1.30
Requires:       perl(IO::String) >= 1.08
Requires:       perl(IPC::Run) >= 0.83
Requires:       perl(JSON::XS) >= 2.29
Requires:       perl(LWP) >= 5.815
Requires:       perl(LWP::UserAgent) >= 5.815
Requires:       perl(List::MoreUtils) >= 0.22
Requires:       perl(Module::Build) >= 0.360300
Requires:       perl(Module::CoreList) >= 2.22
Requires:       perl(Module::Manifest) >= 0.07
Requires:       perl(Module::Starter) >= 1.60
Requires:       perl(ORLite) >= 1.98
Requires:       perl(ORLite::Migrate) >= 1.10
Requires:       perl(POD2::Base) >= 0.043
Requires:       perl(PPI) >= 1.218
Requires:       perl(PPIx::EditorTools) >= 0.18
Requires:       perl(PPIx::Regexp) >= 0.011
Requires:       perl(Params::Util) >= 0.33
Requires:       perl(Parse::ErrorString::Perl) >= 0.18
Requires:       perl(Parse::ExuberantCTags) >= 1.00
Requires:       perl(Parse::Functions) >= 0.01
Requires:       perl(Pod::Abstract) >= 0.16
Requires:       perl(Pod::POM) >= 0.17
Requires:       perl(Pod::Perldoc) >= 3.23
Requires:       perl(Pod::Simple) >= 3.07
Requires:       perl(Pod::Simple::XHTML) >= 3.04
Requires:       perl(Probe::Perl) >= 0.01
Requires:       perl(Sort::Versions) >= 1.5
Requires:       perl(Storable) >= 2.16
Requires:       perl(Template::Tiny) >= 0.11
Requires:       perl(Text::Balanced) >= 2.01
Requires:       perl(Text::Diff) >= 1.41
Requires:       perl(Text::FindIndent) >= 0.10
Requires:       perl(Text::Patch) >= 1.8
Requires:       perl(Time::HiRes) >= 1.9718
Requires:       perl(URI)
Requires:       perl(Wx) >= 0.9916
Requires:       perl(Wx::Perl::ProcessStream) >= 0.32
Requires:       perl(Wx::Scintilla) >= 0.39
Requires:       perl(YAML::Tiny) >= 1.32
Requires:       perl(threads) >= 1.71
Requires:       perl(threads::shared) >= 1.33
Requires:       perl(version) >= 0.80
%{?perl_requires}
# MANUAL BEGIN
BuildArch: noarch
BuildRequires: sed
# MANUAL END

%description
Perl Application Development and Refactoring Environment

%prep
%autosetup  -n %{cpan_name}-%{version} -p1

find . -type f ! -path "*/t/*" ! -name "*.pl" ! -path "*/bin/*" ! -path "*/script/*" ! -path "*/scripts/*" ! -name "configure" -print0 | xargs -0 chmod 644
# MANUAL BEGIN
sed -i 's~:miniframe~~' lib/Padre/Wx/Constant.pm
# MANUAL END

%build
PERL_USE_UNSAFE_INC=1 perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Build_locallib_debian_ubuntu14.10.md Build_perlbrew_debian_ubuntu14.10.md Changes PACKAGING.md Padre.fbp README.md
%license Artistic COPYING LICENSE

%changelog
